Cregis Developer Docs
POST/openapi/v1/wallet_balance

Query Wallet Balance

Query the balance of a specified wallet. You can filter by blockchain ID and token ID. If omitted, all blockchain tokens with balances in the wallet are returned.

Rate limit: 1000 requests/minute

Request

Headers

  • Access-Keystringrequired

    API Key identifier used to identify the caller.

  • Access-Timestampinteger<int64>required

    Unix timestamp in milliseconds.

  • Access-Noncestringrequired

    Random string used to prevent replay attacks.

  • Access-Signaturestringrequired

    Request signature calculated with the Access Secret.

Request Body

required

application/json
  • wallet_idinteger<int64>required

    Wallet ID to query. You can find it in Cregis portal > Wallet > Settings.

  • page_numinteger<int32>

    Page number. Defaults to 1 if omitted.

  • page_sizeinteger<int32>

    Number of records per page. Defaults to 10 if omitted. Maximum value is 100.

  • chain_idstring

    Blockchain ID. If omitted, all blockchain tokens with balances in the wallet are queried.

  • token_idstring

    Token ID. If omitted, all blockchain tokens with balances in the wallet are queried.

Responses

200Success
application/json
  • codestringrequired

    Response code.

  • msgstringrequired

    Response message.

  • dataobjectrequired

    Response data.

    • totalinteger<int64>required

      Total number of records.

    • pageNuminteger<int32>required

      Current page number.

    • pageSizeinteger<int32>required

      Number of records per page.

    • rowsarrayrequired

      Wallet balance list.

      Array items

      • chain_idstringrequired

        Blockchain ID.

      • token_idstringrequired

        Token ID.

      • totalstringrequired

        Total balance (available + processing).

      • availablestringrequired

        Available balance.

      • processingstringrequired

        Processing balance.